Index: /code/branches/cpp11_v2/src/libraries/core/ConfigurablePaths.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/ConfigurablePaths.cc	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/ConfigurablePaths.cc	(revision 10817)
@@ -54,4 +54,5 @@
 #include "util/Exception.h"
 #include "commandline/CommandLineIncludes.h"
+#include "core/ApplicationPaths.h"
 
 // Differentiate Boost Filesystem v2 and v3
Index: /code/branches/cpp11_v2/src/libraries/core/Core.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/Core.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/Core.h	(revision 10817)
@@ -45,4 +45,5 @@
 
 #include <string>
+#include <list>
 #include "util/DestructionHelper.h"
 #include "util/Singleton.h"
Index: /code/branches/cpp11_v2/src/libraries/core/CoreIncludes.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/CoreIncludes.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/CoreIncludes.h	(revision 10817)
@@ -221,5 +221,5 @@
         struct InheritsFromClass : public Identifier::InheritsFrom
         {
-            virtual Identifier* getParent() const { return Class(T); }
+            virtual Identifier* getParent() const override { return Class(T); }
         };
 
@@ -231,10 +231,10 @@
             ~StaticallyInitializedIdentifier() { delete identifier_; }
 
-            virtual void load()
+            virtual void load() override
             {
                 IdentifierManager::getInstance().addIdentifier(this->identifier_);
             }
 
-            virtual void unload()
+            virtual void unload() override
             {
                 IdentifierManager::getInstance().removeIdentifier(this->identifier_);
Index: /code/branches/cpp11_v2/src/libraries/core/CoreStaticInitializationHandler.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/CoreStaticInitializationHandler.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/CoreStaticInitializationHandler.h	(revision 10817)
@@ -43,9 +43,9 @@
             CoreStaticInitializationHandler() : bInitInstances_(false) {}
 
-            virtual void setupHandler();
-            virtual void shutdownHandler();
+            virtual void setupHandler() override;
+            virtual void shutdownHandler() override;
 
-            virtual void loadModule(ModuleInstance* module);
-            virtual void unloadModule(ModuleInstance* module);
+            virtual void loadModule(ModuleInstance* module) override;
+            virtual void unloadModule(ModuleInstance* module) override;
 
             inline void setInitInstances(bool bInitInstances)
Index: /code/branches/cpp11_v2/src/libraries/core/GUIManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/GUIManager.cc	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/GUIManager.cc	(revision 10817)
@@ -124,5 +124,5 @@
     {
     public:
-        void logEvent(const CEGUI::String& message, CEGUI::LoggingLevel level = CEGUI::Standard)
+        void logEvent(const CEGUI::String& message, CEGUI::LoggingLevel level = CEGUI::Standard) override
         {
             OutputLevel orxonoxLevel = level::debug_output;
@@ -143,5 +143,5 @@
 
         /// Carbon copy from CEGUIDefaultLogger.cpp with a bugfix for Windows
-        void setLogFilename(const CEGUI::String& filename, bool append = false)
+        void setLogFilename(const CEGUI::String& filename, bool append = false) override
         {
             // Close current log file (if any)
@@ -228,5 +228,5 @@
     public:
         /// Callback from Ogre invoked before other stuff in our target queue is rendered
-        void renderQueueStarted(Ogre::uint8 id, const Ogre::String& invocation, bool& skipThisQueue)
+        void renderQueueStarted(Ogre::uint8 id, const Ogre::String& invocation, bool& skipThisQueue) override
         {
             if (id == Ogre::RENDER_QUEUE_OVERLAY && invocation.empty())
Index: /code/branches/cpp11_v2/src/libraries/core/GUIManager.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/GUIManager.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/GUIManager.h	(revision 10817)
@@ -169,17 +169,17 @@
 
         // keyHandler functions
-        void buttonPressed (const KeyEvent& evt);
-        void buttonReleased(const KeyEvent& evt);
+        void buttonPressed (const KeyEvent& evt) override;
+        void buttonReleased(const KeyEvent& evt) override;
 
         // mouseHandler functions
-        void buttonPressed (MouseButtonCode::ByEnum id);
-        void buttonReleased(MouseButtonCode::ByEnum id);
-        void mouseMoved    (IntVector2 abs, IntVector2 rel, IntVector2 clippingSize);
-        void mouseScrolled (int abs, int rel);
+        void buttonPressed (MouseButtonCode::ByEnum id) override;
+        void buttonReleased(MouseButtonCode::ByEnum id) override;
+        void mouseMoved    (IntVector2 abs, IntVector2 rel, IntVector2 clippingSize) override;
+        void mouseScrolled (int abs, int rel) override;
         void mouseLeft     ();
 
         // window event handler
-        virtual void windowResized(unsigned int newWidth, unsigned int newHeight);
-        virtual void windowFocusChanged(bool bFocus);
+        virtual void windowResized(unsigned int newWidth, unsigned int newHeight) override;
+        virtual void windowFocusChanged(bool bFocus) override;
 
 #ifdef ORXONOX_OLD_CEGUI
Index: /code/branches/cpp11_v2/src/libraries/core/Game.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/Game.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/Game.h	(revision 10817)
@@ -135,5 +135,5 @@
         {
         public:
-            std::shared_ptr<GameState> fabricateInternal(const GameStateInfo& info)
+            std::shared_ptr<GameState> fabricateInternal(const GameStateInfo& info) override
                 { return std::shared_ptr<GameState>(std::make_shared<T>(info)); }
         };
Index: /code/branches/cpp11_v2/src/libraries/core/GraphicsManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/GraphicsManager.cc	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/GraphicsManager.cc	(revision 10817)
@@ -82,11 +82,11 @@
     {
     public:
-        void windowResized     (Ogre::RenderWindow* rw)
+        void windowResized     (Ogre::RenderWindow* rw) override
             { orxonox::WindowEventListener::resizeWindow(rw->getWidth(), rw->getHeight()); }
-        void windowFocusChange (Ogre::RenderWindow* rw)
+        void windowFocusChange (Ogre::RenderWindow* rw) override
             { orxonox::WindowEventListener::changeWindowFocus(rw->isActive()); }
-        void windowClosed      (Ogre::RenderWindow* rw)
+        void windowClosed      (Ogre::RenderWindow* rw) override
             { orxonox::Game::getInstance().stop(); }
-        void windowMoved       (Ogre::RenderWindow* rw)
+        void windowMoved       (Ogre::RenderWindow* rw) override
             { orxonox::WindowEventListener::moveWindow(); }
     };
Index: /code/branches/cpp11_v2/src/libraries/core/GraphicsManager.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/GraphicsManager.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/GraphicsManager.h	(revision 10817)
@@ -111,5 +111,5 @@
         // event from Ogre::LogListener
 #if OGRE_VERSION >= 0x010800
-        void messageLogged(const std::string& message, Ogre::LogMessageLevel lml, bool maskDebug, const std::string& logName, bool& skipThisMessage);
+        void messageLogged(const std::string& message, Ogre::LogMessageLevel lml, bool maskDebug, const std::string& logName, bool& skipThisMessage) override;
 #else
         void messageLogged(const std::string& message, Ogre::LogMessageLevel lml, bool maskDebug, const std::string& logName);
Index: /code/branches/cpp11_v2/src/libraries/core/Namespace.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/Namespace.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/Namespace.h	(revision 10817)
@@ -50,5 +50,5 @@
             virtual ~Namespace();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             void loadObjects(BaseObject* object);
Index: /code/branches/cpp11_v2/src/libraries/core/Template.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/Template.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/Template.h	(revision 10817)
@@ -54,6 +54,6 @@
             virtual ~Template();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void changedName();
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void changedName() override;
 
             inline void setLink(const std::string& link)
Index: /code/branches/cpp11_v2/src/libraries/core/XMLPort.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/XMLPort.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/XMLPort.h	(revision 10817)
@@ -459,5 +459,5 @@
             }
 
-            virtual XMLPortParamContainer& defaultValue(unsigned int index, const MultiType& param)
+            virtual XMLPortParamContainer& defaultValue(unsigned int index, const MultiType& param) override
             {
                 if (!this->loadexecutor_->defaultValueSet(index))
@@ -465,5 +465,5 @@
                 return this->portIfWaitingForDefaultValues(this->parseResult_, this->parseParams_);
             }
-            virtual XMLPortParamContainer& defaultValues(const MultiType& param1)
+            virtual XMLPortParamContainer& defaultValues(const MultiType& param1) override
             {
                 if (!this->loadexecutor_->defaultValueSet(0))
@@ -471,5 +471,5 @@
                 return this->portIfWaitingForDefaultValues(this->parseResult_, this->parseParams_);
             }
-            virtual XMLPortParamContainer& defaultValues(const MultiType& param1, const MultiType& param2)
+            virtual XMLPortParamContainer& defaultValues(const MultiType& param1, const MultiType& param2) override
             {
                 if ((!this->loadexecutor_->defaultValueSet(0)) || (!this->loadexecutor_->defaultValueSet(1)))
@@ -477,5 +477,5 @@
                 return this->portIfWaitingForDefaultValues(this->parseResult_, this->parseParams_);
             }
-            virtual XMLPortParamContainer& defaultValues(const MultiType& param1, const MultiType& param2, const MultiType& param3)
+            virtual XMLPortParamContainer& defaultValues(const MultiType& param1, const MultiType& param2, const MultiType& param3) override
             {
                 if ((!this->loadexecutor_->defaultValueSet(0)) || (!this->loadexecutor_->defaultValueSet(1)) || (!this->loadexecutor_->defaultValueSet(2)))
@@ -483,5 +483,5 @@
                 return this->portIfWaitingForDefaultValues(this->parseResult_, this->parseParams_);
             }
-            virtual XMLPortParamContainer& defaultValues(const MultiType& param1, const MultiType& param2, const MultiType& param3, const MultiType& param4)
+            virtual XMLPortParamContainer& defaultValues(const MultiType& param1, const MultiType& param2, const MultiType& param3, const MultiType& param4) override
             {
                 if ((!this->loadexecutor_->defaultValueSet(0)) || (!this->loadexecutor_->defaultValueSet(1)) || (!this->loadexecutor_->defaultValueSet(2)) || (!this->loadexecutor_->defaultValueSet(3)))
@@ -489,5 +489,5 @@
                 return this->portIfWaitingForDefaultValues(this->parseResult_, this->parseParams_);
             }
-            virtual XMLPortParamContainer& defaultValues(const MultiType& param1, const MultiType& param2, const MultiType& param3, const MultiType& param4, const MultiType& param5)
+            virtual XMLPortParamContainer& defaultValues(const MultiType& param1, const MultiType& param2, const MultiType& param3, const MultiType& param4, const MultiType& param5) override
             {
                 if ((!this->loadexecutor_->defaultValueSet(0)) || (!this->loadexecutor_->defaultValueSet(1)) || (!this->loadexecutor_->defaultValueSet(2)) || (!this->loadexecutor_->defaultValueSet(3)) || (!this->loadexecutor_->defaultValueSet(4)))
@@ -556,5 +556,5 @@
             }
 
-            void callLoadExecutor(BaseObject* object, BaseObject* newObject)
+            void callLoadExecutor(BaseObject* object, BaseObject* newObject) override
             {
                 T* castObject = orxonox_cast<T*>(object);
Index: /code/branches/cpp11_v2/src/libraries/core/class/Identifier.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/class/Identifier.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/class/Identifier.h	(revision 10817)
@@ -289,13 +289,13 @@
             bool initializeObject(T* object);
 
-            virtual void updateConfigValues(bool updateChildren = true) const;
-
-            virtual const std::type_info& getTypeInfo()
+            virtual void updateConfigValues(bool updateChildren = true) const override;
+
+            virtual const std::type_info& getTypeInfo() override
                 { return typeid(T); }
 
-            virtual bool canDynamicCastObjectToIdentifierClass(Identifiable* object) const
+            virtual bool canDynamicCastObjectToIdentifierClass(Identifiable* object) const override
                 { return dynamic_cast<T*>(object) != nullptr; }
 
-            virtual void destroyObjects();
+            virtual void destroyObjects() override;
 
             static ClassIdentifier<T>* getIdentifier();
Index: /code/branches/cpp11_v2/src/libraries/core/class/Super.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/class/Super.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/class/Super.h	(revision 10817)
@@ -584,5 +584,5 @@
         // Creates the super-function-callers by calling the first SuperFunctionCondition check
         // This get's called within the initialization of an Identifier
-        virtual void createSuperFunctionCaller() const
+        virtual void createSuperFunctionCaller() const override
         {
             SuperFunctionCondition<0, T, 0, 0>::superCheck();
Index: /code/branches/cpp11_v2/src/libraries/core/command/ConsoleCommandIncludes.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/command/ConsoleCommandIncludes.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/command/ConsoleCommandIncludes.h	(revision 10817)
@@ -316,6 +316,6 @@
             ~StaticallyInitializedConsoleCommand() { delete command_; }
 
-            virtual void load();
-            virtual void unload();
+            virtual void load() override;
+            virtual void unload() override;
 
             inline ConsoleCommand& getCommand()
Index: /code/branches/cpp11_v2/src/libraries/core/command/ConsoleCommandManager.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/command/ConsoleCommandManager.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/command/ConsoleCommandManager.h	(revision 10817)
@@ -38,4 +38,6 @@
 
 #include "util/Singleton.h"
+
+#include <map>
 
 namespace orxonox
Index: /code/branches/cpp11_v2/src/libraries/core/command/Functor.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/command/Functor.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/command/Functor.h	(revision 10817)
@@ -249,5 +249,5 @@
 
             // see Functor::operator()()
-            MultiType operator()(const MultiType& param1 = MultiType::Null, const MultiType& param2 = MultiType::Null, const MultiType& param3 = MultiType::Null, const MultiType& param4 = MultiType::Null, const MultiType& param5 = MultiType::Null)
+            MultiType operator()(const MultiType& param1 = MultiType::Null, const MultiType& param2 = MultiType::Null, const MultiType& param3 = MultiType::Null, const MultiType& param4 = MultiType::Null, const MultiType& param5 = MultiType::Null) override
             {
                 // call the function if an object was assigned
@@ -262,5 +262,5 @@
 
             // see Functor::getType()
-            inline Functor::Type::Enum getType() const
+            inline Functor::Type::Enum getType() const override
                 { return Functor::Type::Member; }
 
@@ -280,12 +280,12 @@
 
             // see Functor::setRawObjectPointer()
-            inline void setRawObjectPointer(void* object)
+            inline void setRawObjectPointer(void* object) override
                 { this->setObject((O*)object); }
             // see Functor::getRawObjectPointer()
-            inline void* getRawObjectPointer() const
+            inline void* getRawObjectPointer() const override
                 { return this->object_; }
 
             // see Functor::setSafeMode()
-            inline void setSafeMode(bool bSafeMode)
+            inline void setSafeMode(bool bSafeMode) override
             {
                 if (bSafeMode == this->bSafeMode_)
@@ -309,5 +309,5 @@
 
             /// Will be called by Destroyable::~Destroyable() if the stored object is deleted and the Functor is in safe mode.
-            inline void objectDeleted()
+            inline void objectDeleted() override
                 { this->object_ = nullptr; }
 
@@ -328,5 +328,5 @@
 
             // see Functor::operator()()
-            MultiType operator()(const MultiType& param1 = MultiType::Null, const MultiType& param2 = MultiType::Null, const MultiType& param3 = MultiType::Null, const MultiType& param4 = MultiType::Null, const MultiType& param5 = MultiType::Null)
+            MultiType operator()(const MultiType& param1 = MultiType::Null, const MultiType& param2 = MultiType::Null, const MultiType& param3 = MultiType::Null, const MultiType& param4 = MultiType::Null, const MultiType& param5 = MultiType::Null) override
             {
                 return (*this)((void*)nullptr, param1, param2, param3, param4, param5);
@@ -334,16 +334,16 @@
 
             // see Functor::getType()
-            inline Functor::Type::Enum getType() const
+            inline Functor::Type::Enum getType() const override
                 { return Functor::Type::Static; }
 
             // see Functor::setRawObjectPointer()
-            inline void setRawObjectPointer(void*)
+            inline void setRawObjectPointer(void*) override
                 { orxout(internal_warning) << "Can't assign an object pointer to a static functor" << endl; }
             // see Functor::getRawObjectPointer()
-            inline void* getRawObjectPointer() const
+            inline void* getRawObjectPointer() const override
                 { return nullptr; }
 
             // see Functor::setSafeMode()
-            inline void setSafeMode(bool) {}
+            inline void setSafeMode(bool) override {}
     };
 
Index: /code/branches/cpp11_v2/src/libraries/core/command/IOConsolePOSIX.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/command/IOConsolePOSIX.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/command/IOConsolePOSIX.h	(revision 10817)
@@ -65,10 +65,10 @@
 
         // Methods from ShellListener
-        void linesChanged();
-        void lineAdded();
-        void inputChanged();
-        void cursorChanged();
-        void executed();
-        void exit();
+        void linesChanged() override;
+        void lineAdded() override;
+        void inputChanged() override;
+        void cursorChanged() override;
+        void executed() override;
+        void exit() override;
 
         bool willPrintStatusLines();
Index: /code/branches/cpp11_v2/src/libraries/core/command/IOConsoleWindows.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/command/IOConsoleWindows.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/command/IOConsoleWindows.h	(revision 10817)
@@ -67,10 +67,10 @@
 
         // Methods from ShellListener
-        void linesChanged();
-        void lineAdded();
-        void inputChanged();
-        void cursorChanged();
-        void executed();
-        void exit();
+        void linesChanged() override;
+        void lineAdded() override;
+        void inputChanged() override;
+        void cursorChanged() override;
+        void executed() override;
+        void exit() override;
 
         void resetTerminalMode();
Index: /code/branches/cpp11_v2/src/libraries/core/command/Shell.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/command/Shell.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/command/Shell.h	(revision 10817)
@@ -151,5 +151,5 @@
 
             // DevModeListener
-            void devModeChanged(bool value);
+            void devModeChanged(bool value) override;
 
             void addToHistory(const std::string& command);
@@ -157,5 +157,5 @@
             void clearInput();
             // BaseWriter
-            virtual void printLine(const std::string& line, OutputLevel level);
+            virtual void printLine(const std::string& line, OutputLevel level) override;
 
             void configureInputBuffer();
Index: /code/branches/cpp11_v2/src/libraries/core/commandline/CommandLineIncludes.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/commandline/CommandLineIncludes.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/commandline/CommandLineIncludes.h	(revision 10817)
@@ -64,8 +64,8 @@
             ~StaticallyInitializedCommandLineArgument() { delete argument_; }
 
-            virtual void load()
+            virtual void load() override
                 { CommandLineParser::addArgument(this->argument_); }
 
-            virtual void unload()
+            virtual void unload() override
                 { CommandLineParser::removeArgument(this->argument_); }
 
Index: /code/branches/cpp11_v2/src/libraries/core/config/ConfigFile.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/config/ConfigFile.cc	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/config/ConfigFile.cc	(revision 10817)
@@ -38,4 +38,5 @@
 #include <iterator>
 #include <algorithm>
+#include <fstream>
 
 #include "util/Convert.h"
Index: /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileEntryComment.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileEntryComment.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileEntryComment.h	(revision 10817)
@@ -56,19 +56,19 @@
             inline virtual ~ConfigFileEntryComment() {}
 
-            inline virtual const std::string& getName() const
+            inline virtual const std::string& getName() const override
                 { return this->comment_; }
 
-            inline virtual void setComment(const std::string& comment)
+            inline virtual void setComment(const std::string& comment) override
                 { this->comment_ = comment; }
 
-            inline virtual void setValue(const std::string& value)
+            inline virtual void setValue(const std::string& value) override
                 {}
-            inline virtual const std::string& getValue() const
+            inline virtual const std::string& getValue() const override
                 { return BLANKSTRING; }
 
-            inline void setString(bool bString)
+            inline void setString(bool bString) override
                 {}
 
-            inline virtual const std::string& getFileEntry() const
+            inline virtual const std::string& getFileEntry() const override
                 { return this->comment_; }
 
Index: /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileEntryValue.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileEntryValue.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileEntryValue.h	(revision 10817)
@@ -69,19 +69,19 @@
             inline virtual ~ConfigFileEntryValue() {}
 
-            inline virtual const std::string& getName() const
+            inline virtual const std::string& getName() const override
                 { return this->name_; }
 
-            inline virtual void setComment(const std::string& comment)
+            inline virtual void setComment(const std::string& comment) override
                 { this->additionalComment_ = comment; this->update(); }
 
-            inline virtual void setValue(const std::string& value)
+            inline virtual void setValue(const std::string& value) override
                 { this->value_ = value; this->update(); }
-            inline virtual const std::string& getValue() const
+            inline virtual const std::string& getValue() const override
                 { return this->value_; }
 
-            inline void virtual setString(bool bString)
+            inline void virtual setString(bool bString) override
                 { this->bString_ = bString; this->update(); }
 
-            inline virtual const std::string& getFileEntry() const
+            inline virtual const std::string& getFileEntry() const override
                 { return this->fileEntry_; }
 
Index: /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileEntryVectorValue.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileEntryVectorValue.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileEntryVectorValue.h	(revision 10817)
@@ -67,13 +67,13 @@
             inline ~ConfigFileEntryVectorValue() {}
 
-            inline unsigned int getIndex() const
+            inline unsigned int getIndex() const override
                 { return this->index_; }
 
             /// Returns the "key" of the value (the name of the vector plus the index of the element)
-            inline const std::string& getKeyString() const
+            inline const std::string& getKeyString() const override
                 { return this->keyString_; }
 
         private:
-            void update();
+            void update() override;
 
             unsigned int index_;        ///< The index of the element in the vector
Index: /code/branches/cpp11_v2/src/libraries/core/config/ConfigValueContainer.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/config/ConfigValueContainer.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/config/ConfigValueContainer.h	(revision 10817)
@@ -68,5 +68,5 @@
             inline ConfigValueCallback(void (T::*function) (void)) : function_(function) {}
             inline virtual ~ConfigValueCallback() {}
-            inline virtual void call(void* object)
+            inline virtual void call(void* object) override
             {
                 if (!IdentifierManager::getInstance().isCreatingHierarchy())
Index: /code/branches/cpp11_v2/src/libraries/core/input/HalfAxis.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/HalfAxis.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/input/HalfAxis.h	(revision 10817)
@@ -56,6 +56,6 @@
         using Button::execute;
         bool execute();
-        bool addParamCommand(ParamCommand* command);
-        void clear();
+        bool addParamCommand(ParamCommand* command) override;
+        void clear() override;
         void reset();
 
Index: /code/branches/cpp11_v2/src/libraries/core/input/InputBuffer.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/InputBuffer.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/input/InputBuffer.h	(revision 10817)
@@ -66,5 +66,5 @@
         { }
         virtual ~InputBufferListenerTuple() { }
-        void callFunction()
+        void callFunction() override
         {
             (listener_->*function_)();
@@ -165,13 +165,13 @@
                 { if (this->cursor_ > 0) { --this->cursor_; } }
 
-            void buttonPressed(const KeyEvent& evt);
+            void buttonPressed(const KeyEvent& evt) override;
 
         private:
             bool charIsAllowed(const char& input);
 
-            void buttonHeld   (const KeyEvent& evt);
+            void buttonHeld   (const KeyEvent& evt) override;
             void processKey   (const KeyEvent& evt);
 
-            void keyboardUpdated(float dt);
+            void keyboardUpdated(float dt) override;
 
             std::string buffer_;
Index: /code/branches/cpp11_v2/src/libraries/core/input/InputCommands.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/InputCommands.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/input/InputCommands.h	(revision 10817)
@@ -76,7 +76,7 @@
     {
     public:
-        bool execute(float abs = 1.0f, float rel = 1.0f);
-        CommandEvaluation* getEvaluation();
-        virtual SimpleCommand* clone() { return new SimpleCommand(*this); }
+        bool execute(float abs = 1.0f, float rel = 1.0f) override;
+        CommandEvaluation* getEvaluation() override;
+        virtual SimpleCommand* clone() override { return new SimpleCommand(*this); }
 
         CommandEvaluation evaluation_;
@@ -104,7 +104,7 @@
     public:
         ParamCommand() : scale_(1.0f), paramCommand_(nullptr) { }
-        bool execute(float abs = 1.0f, float rel = 1.0f);
-        CommandEvaluation* getEvaluation();
-        virtual ParamCommand* clone() { return new ParamCommand(*this); }
+        bool execute(float abs = 1.0f, float rel = 1.0f) override;
+        CommandEvaluation* getEvaluation() override;
+        virtual ParamCommand* clone() override { return new ParamCommand(*this); }
 
         float scale_;
